[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DoLoadColumn

Loads a column definition from an XML configuration file.

## Declaration

Source position: dbgrids.pas line 437

`protected procedure TCustomDBGrid.DoLoadColumn(`
`sender: TCustomGrid;`
`aColumn: TGridColumn;`
`aColIndex: Integer;`
`aCfg: TXMLConfig;`
`aVersion: Integer;`
`aPath: string`
`); override;`

## Arguments

`sender` |  | Object instance with the Grid control.
`aColumn` |  | TGridColumn instance loaded in the method.
`aColIndex` |  | Position in the grid for the column definition.
`aCfg` |  | XML configuration file with the definition for the column.
`aVersion` |  | Version number for the XML storage format in the configuration file.
`aPath` |  | Path to the XML node with the data for the column.

## Description

DoLoadColumn is an overridden method in TCustomDBGrid used to load the TGridColumn definition for the specified column from the XML configuration file in aCfg. Values for the FieldName and DisplayFormat properties are read from the XML file and stored in aColumn.

Calls the inherited method to signal the OnLoadColumn event handler (when assigned).

DoLoadColumn is called from the LoadColumns and LoadContent methods in the ancestor class.